<h1>Simple Calc</h1>

<div>
  LHS: <input type="number"
              [(ngModel)]="lhs"
              (change)="compute()"
              min="-10" max="100" step="5"
              [class.error]="lhs < 1" />
  LHS: <input type="number"
              [(ngModel)]="rhs"
              min="-10" max="100"
              (change)="compute()"
              [class.error]="rhs < 1" />
  <button type="button" [disabled]="lhs < 0 || rhs < 0" (click)="compute()">Compute</button>
</div>

<hr/>
<div>
  <table>
    <thead>
    <tr>
      <th>Name</th>
      <th>Left</th>
      <th>OP</th>
      <th>Right</th>
      <th>=</th>
      <th>Result</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let item of results">
      <td>{{item.name}}</td>
      <td>{{item.lhs}}</td>
      <td>{{item.operator}}</td>
      <td>{{item.rhs}}</td>
      <td>=</td>
      <td>{{item.result | number:'1.1-3'}}</td>
    </tr>
    </tbody>
  </table>
</div>
